package com.ruoyi.abuwx.mapper.exam;

import com.ruoyi.abuwx.domain.exam.ExmQuestionType;

import java.util.List;

/**
 * 题库Mapper接口
 * 
 * @author ruoyi
 * @date 2024-05-17
 */
public interface ExmQuestionTypeMapper 
{
    /**
     * 查询题库
     * 
     * @param id 题库主键
     * @return 题库
     */
    public ExmQuestionType selectExmQuestionTypeById(Long id);

    /**
     * 查询题库列表
     * 
     * @param exmQuestionType 题库
     * @return 题库集合
     */
    public List<ExmQuestionType> selectExmQuestionTypeList(ExmQuestionType exmQuestionType);

    /**
     * 新增题库
     * 
     * @param exmQuestionType 题库
     * @return 结果
     */
    public int insertExmQuestionType(ExmQuestionType exmQuestionType);

    /**
     * 修改题库
     * 
     * @param exmQuestionType 题库
     * @return 结果
     */
    public int updateExmQuestionType(ExmQuestionType exmQuestionType);

    /**
     * 删除题库
     * 
     * @param id 题库主键
     * @return 结果
     */
    public int deleteExmQuestionTypeById(Long id);

    /**
     * 批量删除题库
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteExmQuestionTypeByIds(Long[] ids);
}
